//车辆布控
import request from "@/utils/request";
const api = "/mosty-api/mosty-bkzx";
//新增
export function addCar(data) {
  return request({
    url: api + '/tbBkCl',
    method: "post",
    data
  })
}
//修改
export function editCar(data) {
  return request({
    url: api + '/tbBkCl',
    method: "put",
    data
  })
}
//批量删除
export function delCar(data) {
  return request({
    url: api + '/tbBkCl',
    method: "delete",
    data
  })
}
//查询详情
export function getInfo(id) {
  return request({
    url: api + '/tbBkCl/' + id,
    method: "get",
  })
}
//结束布控
export function endBk(id) {
  return request({
    url: api + '/tbBkCl/endBk/' + id,
    method: "post"
  })
}
//结束布控
export function startBk(id) {
  return request({
    url: api + '/tbBkCl/startBk/' + id,
    method: "post"
  })
}
//分页查询
export function getCarList(params) {
  return request({
    url: api + '/tbBkCl',
    method: "get",
    params
  })
}
// 布控人员审批
export function judgeCar(data) {
  return request({
    url: api + '/tbBkCl/judge',
    method: "post",
    data
  })
}

